# std::recursive_timed_mutex::recursive_timed_mutex

From cppreference.com
< cpp‎ | thread‎ | recursive timed mutex

recursive_timed_mutex(); | (1) | (since C++11)
recursive_timed_mutex( const recursive_timed_mutex& ) = delete; | (2) | (since C++11)

1) Constructs the mutex. The mutex is in unlocked state after the call.
2) Copy constructor is deleted.

### Parameters

(none)

### Exceptions

std::system_error if the construction is unsuccessful.

### See also

C documentation for mtx_init

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/recursive_timed_mutex/recursive_timed_mutex&oldid=51416"